Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#51 24-05-2017 09:52:13

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : DEBIAN 9 STRETCH
Noyau : Linux 4.10.0-rc6-amd64
(G)UI : GNOME
Inscription : 11-03-2017

Re : ecran hp lp3065

merci pour ton analyse robert2a .

mon écran , d'occasion , c'est un HP LP3065 30 pouces .
sur le site de Hewlett Packard , il est reconnu comme HP LP3065c.
je ne sais pas comment en extraire les nos de série et autres données .
surtout que , apparemment , xrandr ne le sais pas  non plus .
est ce à dire qu'il est fatigué ?. ou que ma carte mère est trop vieille ?
l'écran possède 3 entrées DVI-D , aucune en VGA .
mon ancien écran (AOC2436) était en VGA .

bon , apparemment , une carte video semble indispensable pour bien profiter de cet ecran .

oui mais laquelle ?



celles là sont intéressantes :

faible consommation , refroidissement passif , dvi-d 2560x1600 , home cinema , pas d'alimentation externe de la carte ....
tout bien quoi ...
http://www.ldlc.com/fiche/PB00203725.html
http://www.ldlc.com/fiche/PB00119514.html


j'ai pas vraiment envie de mettre beaucoup plus de 100€ dans une carte video .
dans le choix ci dessus , la quelle me conseilleriez vous et pourquoi ?
à moins que vous en connaissiez une autre (pas  beaucoup plus de 100 € merci)

par contre , une chose me chiffonne . il semble qu'il n'y ait pas de support linux pour les deux dernières cartes ci dessus
apparemment , ni AMD/ATI , ni NVIDIA ne font de support linux pour leurs cartes d'entrée de gamme .

quelqun pour confirmer ?

Dernière modification par Debian Alain (24-05-2017 16:14:37)


Bip Bip !

En ligne

#52 24-05-2017 17:45:15

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

Bonjour
la serie 7xx tu oublie pour nvidia cherche dans la serie 9xx ou 10xx  (maxwell ou pascal ) avec un prix qui te convient
en parlant de prix le minimum ce serait GT940 par exemple (en dessous tu risque d'avoir une carte encore plus mauvaise que ton gpu intel )
toujours en nvidia la serie  GTX1050 est trés bien mais surement trop cher pour toi (je sais pas si ils ont sorti quelque chose en dessous )
pour nvidia pas de prise en charge en driver libre ou pas parfaite.

pour Amd le driver libre fonctionne , par contre la serie 5xx je connais pas.

de ce que tu montre la RX550 est la mieux  (sérieux les nvidia gt710 c'est pas un gpu , nul et en plus ça consomme et ça chauffe , le prix est encore trop cher , devrait etre interdit a la vente)
de ce que j'ai lu c'est un renomage des RX450 mais ça tourne bien pour un peu que tu joue pas a de gros jeux

regarde RX550 , GTX950  et GTX1050 , prend la moins chère (le plus pour nvidia c'est le drivers nonfree possible avec éventuellement cuda ) évite série 10 , 20 et 30 , commence a minima a 40
par exemple serie 7xx a 740  (mais kepler ça commence a dater) et la 750 ne doit plus etre fabriqué
sinon Amd drivers libre et ça tourne bien
faut surveiller les nouvelles series qui sortent les prix peuvent baisser sur le matériel plus ancien

Dernière modification par robert2a (24-05-2017 17:59:53)

Hors ligne

#53 24-05-2017 18:26:40

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : DEBIAN 9 STRETCH
Noyau : Linux 4.10.0-rc6-amd64
(G)UI : GNOME
Inscription : 11-03-2017

Re : ecran hp lp3065

bon , tout compte fait , considérant ce que tu dis , robert2a , j'abandonne NVIDIA
je me reporte donc sur AMD/ATI
déjà d'origine , ces carte m'intéressaient .
voilà mes  dernières réflexions :

la Sapphire PULSE Radeon RX 550 4GD5 vers laquelle je pense m'orienter
http://www.ldlc.com/fiche/PB00227574.html

à moins que celle ci ne suffise :
Sapphire PULSE Radeon RX 550 2GD5
http://www.ldlc.com/fiche/PB00227578.html

j'attends votre avis . je ne sais que choisir .
j'hésite entre juste ce qu'il me faut ou la qualité au dessus .
le prix reste gérable mais mes besoins sont peu élevés :
bureautique et video , les jeux , pas  vraiment .
en théorie , la 2go me  suffit .maintenant , vaut il mieux investir un peu ou assurer le minimum  ?
compte tenu de la  qualité de ces cartes ...

j'attends vos avis et vos conseils .
sachant que le vendeur de ldlc prétend que pour mes besoins , 2go  suffisent .
je ne doute pas de ses compétences mais votre avis compte aussi pour moi .
entre un vendeur et un connaisseur , j'ai tendance à écouter le connaisseur .

à plus ....

Dernière modification par Debian Alain (24-05-2017 18:52:42)


Bip Bip !

En ligne

#54 24-05-2017 19:32:00

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

pour la mémoire c'est pour vendre et plus cher , c'est la puce qui détermine la quantité de mémoire . ( et le bus ici 128 bits )
en jeux ou pour regarder une vidéo c'est plus confortable 4 que 2.
vu la différence de prix , je dirai la 4Go , mais si tu veut économiser 10 euros la 2Go (les cartes sont identiques et non OC )
le vendeur n'a pas tord , pour Amd je connais pas trop , mais pour nvidia certaines cartes ont plus de mémoires qu elle ne peuvent gérer en travail intensif .
donc je dirai c'est le prix qui va décider , techniquement tu risque de ne jamais voir la différence.
a priori elle a des fonctions de décodage matériel pour lire les vidéo et la mémoire vidéo est utile dans ce cas.
il va falloir te décider seul  wink
les deux sont de bonnes cartes ( c'est de l entrée de gamme , mais rien a voir avec les GT710 qui sont très mauvaises (720 et 730 aussi ) 740 limite )

par contre tu n'a pas répondu , ton cable vidéo c'est un DVI-I (avec adaptateur ) a chaque bout ou un DVI-D
tu n'a pas de sortie VGA sur les nouvelles cartes ( que des sorties numériques) et uniquement DVI-D pense a avoir un cordon compatible ( du HDMI aussi , la carte est compatible bi-écran )

Dernière modification par robert2a (24-05-2017 19:39:58)

Hors ligne

#55 24-05-2017 22:47:10

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : DEBIAN 9 STRETCH
Noyau : Linux 4.10.0-rc6-amd64
(G)UI : GNOME
Inscription : 11-03-2017

Re : ecran hp lp3065

ah oui , pardon robert2a .

mon cable c'est du DVI-D (24+1).

tu aurais dû t'en douter vu l'écran : hp lp3065 30 pouces 3 connecteurs DVI-Dual link (24+1)
http://www.materiel.net/ecran-lcd/hp-lp3065-51981.html

merci . donc je confirme , je me procure la 4Go

on se reverra pour l'installation de la carte .

à moins que je trouve de la  bonne doc d'ici là .

comme par exemple ici :
https://wiki.debian.org/fr/AtiHowTo

Bip Bip !

En ligne

#56 25-05-2017 07:56:22

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

Bonjour
je te conseille d'utiliser stretch et KMS (avec le noyau des backports tu peu déja tester)
installer le firmware ( obligatoire )
=> https://packages.debian.org/jessie-back … d-graphics


apt-get install -t jessie-backports firmware-amd-graphics
 


la carte doit etre une polaris-xx qui est prise en compte par ce firmware
le paquet a installer (pour le driver) ,
PS : avec KMS et stretch (donc sans ce paquet amdgpu ni radeon) j ai testé gnome et une R9 270 (radeon HD) sans souci ( et wayland )


apt-get install -t jessie-backports xserver-xorg-video-amdgpu
 


pour les cartes récentes "amdgpu" , le "radeon" pour les cartes de la génération précédentes .
c'est tout rien d'autres a faire
je te conseille d'installer ces paquets avant de placer la carte vidéo dans la machine
nota : vérifier que mesa est bien installé (et ses dépendances ) , utiliser l utilitaire "mesa-utils" pour tester

Dernière modification par robert2a (25-05-2017 08:08:31)

Hors ligne

#57 25-05-2017 10:06:48

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : DEBIAN 9 STRETCH
Noyau : Linux 4.10.0-rc6-amd64
(G)UI : GNOME
Inscription : 11-03-2017

Re : ecran hp lp3065

euh ... tu m'excusera , robert2a , mais firmware  graphics , il sert à  quoi ?

parceque jusque là , j'y ai pas trouvé ma carte .

j'ai trouvé beaucoup de références à polaris ,
j'ai trouvé ça :

* Radeon R5/R7 IGP 200 series



mais même si ma carte c'est une radeon , c'est une radeon RX 550
ça veut peut être dire R(X) 5(50) ?

il y a ça aussi :

* Radeon R500-family CP microcode (radeon/R520_cp.bin)



c'est déjà plus proche .
si non , il y a les séries des 'RS' et 'RV' mais pas des 'RX'

donc tu conseilles d'installer le logiciel avant de mettre la carte . pourquoi ?

KMS , c'est quoi ?

Kernel Mode Setting (KMS) provides faster mode switching for X and console. It also provides native-resolution VTs on some laptops and netbooks which, prior to this, would use some standard mode, e.g. 800×600 on a 1024×600 panel.


https://wiki.debian.org/KernelModesetting

mesa-utils , c'est quoi ?

Ce paquet fournit divers utilitaires simples GL construits pour Mesa, comme glxinfo et glxgears.


https://packages.debian.org/fr/jessie/mesa-utils

comprends pas bien .....

voilà , c'est commandé :
1495699578.png

au fait , tu l'as oublié . mesa , tu l'installes comment ?

Dernière modification par Debian Alain (25-05-2017 11:57:22)


Bip Bip !

En ligne

#58 25-05-2017 11:59:36

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

la serie RADEO RX500 c'est Polaris le nom de code (de tete 10, 11, 12 ......... )
donc le firmware prend en compte ton matériel sinon écran noir

idem pour le paquet xserver-xorg-video-amdgpu (qui prend en charge ta carte )

https://www.nextinpact.com/news/104046- … veaute.htm

les Polaris prisent en charge


* amdgpu/polaris10_ce.bin
 * amdgpu/polaris10_mc.bin
 * amdgpu/polaris10_me.bin
 * amdgpu/polaris10_mec.bin
 * amdgpu/polaris10_mec2.bin
 * amdgpu/polaris10_pfp.bin
 * amdgpu/polaris10_rlc.bin
 * amdgpu/polaris10_sdma.bin
 * amdgpu/polaris10_sdma1.bin
 * amdgpu/polaris10_smc.bin
 * amdgpu/polaris10_smc_sk.bin
 * amdgpu/polaris10_uvd.bin
 * amdgpu/polaris10_vce.bin
 * amdgpu/polaris11_ce.bin
 * amdgpu/polaris11_mc.bin
 * amdgpu/polaris11_me.bin
 * amdgpu/polaris11_mec.bin
 * amdgpu/polaris11_mec2.bin
 * amdgpu/polaris11_pfp.bin
 * amdgpu/polaris11_rlc.bin
 * amdgpu/polaris11_sdma.bin
 * amdgpu/polaris11_sdma1.bin
 * amdgpu/polaris11_smc.bin
 * amdgpu/polaris11_smc_sk.bin
 * amdgpu/polaris11_uvd.bin
 * amdgpu/polaris11_vce.bin
 



=> http://www.overclockingmadeinfrance.com … rocessors/

KMS   laisse tomber , pas important  neutral

mettre les 2 paquets avant parce que sinon au démarrage du PC si ça plante tu pourra plus installer rien du tout
(si le matériel n'en a pas besoin , ils ne sont pas utilisés mais installé )

ps: je vois pas de polaris 12 sur le firmware  tongue

Dernière modification par robert2a (25-05-2017 12:16:35)

Hors ligne

#59 25-05-2017 12:14:28

èfpé
Membre
Inscription : 10-07-2016

Re : ecran hp lp3065

(@robert2a : et donc tu penses que Polaris 12 ça va passer ? sûrement une question bête, désolé roll)

Hors ligne

#60 25-05-2017 12:17:04

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

non je suis en train de chercher ......  tongue
bon au pif pas trop de différence avec la serie 400 (renomage comme d'hab )  c'est du 14nm , consomme moins et chauffe moins

la question est pas bète  roll

ouep ça roule => http://www.tomshardware.fr/articles/pol … 62306.html

Dernière modification par robert2a (25-05-2017 12:21:22)

Hors ligne

#61 25-05-2017 12:22:01

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : DEBIAN 9 STRETCH
Noyau : Linux 4.10.0-rc6-amd64
(G)UI : GNOME
Inscription : 11-03-2017

Re : ecran hp lp3065

merci , robert2a , c'est gentil .

au fait , mesa , c'est quoi exactement ?

j'ai trouvé ça mais j'ai pas  compris :
https://packages.debian.org/source/jessie/mesa
ah , là je comprends mieux :
https://wiki.debian.org/fr/Mesa

bon , après quelques tests , il semble que mesa soit installé par défaut  sur ma machine .

$ glxinfo | grep OpenGL


OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Desktop
OpenGL core profile version string: 3.1 (Core Profile) Mesa 10.3.2
OpenGL core profile shading language version string: 1.40
OpenGL core profile context flags: (none)
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 10.3.2
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 10.3.2
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.0
OpenGL ES profile extensions:



cette ligne :

OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Desktop


confirme que (ce que je savais depuis le début) ma video est gérée par le µp (chipset intel pour la carte mère et la video)

voilà , robert2a , j'ai installé tes paquets :

apt-get install -t jessie-backports firmware-amd-graphics


et

apt-get install -t jessie-backports xserver-xorg-video-amdgpu



dans une semaine , je recevrai ma carte . chouette !

Dernière modification par Debian Alain (25-05-2017 12:41:42)


Bip Bip !

En ligne

#62 25-05-2017 12:25:55

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

=> http://www.comptoir-hardware.com/actus/ … linux.html

la commande glxinfo sur strech est amélioré  tongue


glxinfo -B
 



name of display: :0
display: :0  screen: 0
direct rendering: Yes
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GTX 1060 6GB/PCIe/SSE2
OpenGL core profile version string: 4.5.0 NVIDIA 375.39
OpenGL core profile shading language version string: 4.50 NVIDIA
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 4.5.0 NVIDIA 375.39
OpenGL shading language version string: 4.50 NVIDIA
OpenGL context flags: (none)
OpenGL profile mask: (none)

OpenGL ES profile version string: OpenGL ES 3.2 NVIDIA 375.39
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
 

Hors ligne

#63 25-05-2017 12:40:40

èfpé
Membre
Inscription : 10-07-2016

Re : ecran hp lp3065

(@robert2a : par contre niveau kernel il semble que Polaris 12 ça passe à partir de la version 4.10 hmm)

Hors ligne

#64 25-05-2017 13:11:44

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

oui j'ai vu ça aussi , comme l audio 1220 (sur kabylake et ryzen ) qui fonctionne bien sur mon noyau 4.9 alors qu il est spécifié noyau 4.11 nécessaire
j'ai testé 4.9 , 4.10 , 4.11 aucune différence. (ça fonctionne nickel )
on verra ce que dit le noyau au démarrage .
sinon dans la fourchette de prix c'est la meilleure carte , les GTX750/ti sont hors de prix , idem pour les series 9xx et 10xx et comme expliqué plus petit les gpu sont mauvais (a comparer avec l intel ) .
la gtx1050 est bien mais plus chère (en 14nm aussi ) avec le driver nonfree
j'ai pas regardé la serie RX400 de AMD  hmm  , surement plus compatible
c'est le problème de GNU Linux en free  hmm
restons positif ça va fonctionner  smile

la RX550
Date de lancement
4/18/2017  tongue

la RX460  on la trouve en 2Go a un prix équivalent  roll

Dernière modification par robert2a (25-05-2017 13:20:16)

Hors ligne

#65 25-05-2017 13:56:53

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : DEBIAN 9 STRETCH
Noyau : Linux 4.10.0-rc6-amd64
(G)UI : GNOME
Inscription : 11-03-2017

Re : ecran hp lp3065

euhhh , robert2a et èfpé , vous oubliez un gros point de détail :

dans le lien que donne èfpé  (https://cateee.net/lkddb/web-lkddb/DRM_AMDGPU.html)

il est précisé :

found in Linux kernels: 4.2–4.11, 4.12-rc+HEAD



c.a.d. , sauf erreur de ma part , que ces pilotes se trouvent dans les kernels 4.2 à 4.11 voire plus...
et comme j'ai un kernel 4.9 , ça devrait passer .

non ?


Bip Bip !

En ligne

#66 25-05-2017 14:24:21

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

non la carte est trés récente
une traduction approximative .


AMD a publié le support de pilote Linux Polaris 12 open source original en décembre.
Cette nouvelle révision de Polaris devrait être pour les GPU bas de gamme en attendant Vega sur le haut de gamme.
Les détails sur Polaris 12 restent rares. Mais en ce qui concerne le support du pilote Linux,
il s'agit essentiellement d'ajouter les nouvelles ID PCI et de partager les chemins de code existants avec Polaris 10/11.

Étant donné que l'activation du matériel implique essentiellement l'ajout d'ID
et aucun travail réellement invasif, AMD cherche à l'installer sur Linux 4.10 même si la fenêtre de fusion a été fermée,
en raison de l'impact minimal et de la possibilité réelle de régressions.
 


donc c'est bien ce que je pense au niveau DRM idem que Polaris 10 et 11
donc l ID de la carte suffit , si le noyau détecte la carte et n'arrive pas a charger les modules parce que ce qu il detecte (ID) ne correspond pas au matériel connu (ID ) , le chargement des DRM va échouer , ce qui serait trés mauvais hmm

http://www.tomshardware.fr/articles/veg … 63332.html
http://www.tomshardware.fr/articles/rad … 63320.html

j'ai mit le lien pour mémoriser les ID on verra quand tu la reçois ce que donne la commande " lspci "

Dernière modification par robert2a (25-05-2017 15:09:03)

Hors ligne

#67 25-05-2017 14:42:42

èfpé
Membre
Inscription : 10-07-2016

Re : ecran hp lp3065

@Debian Alain : ta lecture de la page Linux Kernel Driver DataBase a peut-être été un peu trop superficielle :

  • vendor: 1002 ("Advanced Micro Devices, Inc. [AMD/ATI]"), device: 6980 ("Polaris12")

  • vendor: 1002 ("Advanced Micro Devices, Inc. [AMD/ATI]"), device: 6981 ("Polaris12")

  • vendor: 1002 ("Advanced Micro Devices, Inc. [AMD/ATI]"), device: 6985 ("Polaris12")

  • vendor: 1002 ("Advanced Micro Devices, Inc. [AMD/ATI]"), device: 6986 ("Polaris12")

  • vendor: 1002 ("Advanced Micro Devices, Inc. [AMD/ATI]"), device: 6987 ("Polaris12")

ensuite chercher la correspondance avec les PCI ID,

  • lkddb pci 1002 6980 .... .... ...... : CONFIG_DRM_AMDGPU : drivers/gpu/drm/amd/amdgpu/amdgpu_drv.c # in 4.10–4.11, 4.12-rc+HEAD

  • lkddb pci 1002 6981 .... .... ...... : CONFIG_DRM_AMDGPU : drivers/gpu/drm/amd/amdgpu/amdgpu_drv.c # in 4.10–4.11, 4.12-rc+HEAD

  • lkddb pci 1002 6985 .... .... ...... : CONFIG_DRM_AMDGPU : drivers/gpu/drm/amd/amdgpu/amdgpu_drv.c # in 4.10–4.11, 4.12-rc+HEAD

  • lkddb pci 1002 6986 .... .... ...... : CONFIG_DRM_AMDGPU : drivers/gpu/drm/amd/amdgpu/amdgpu_drv.c # in 4.10–4.11, 4.12-rc+HEAD

  • lkddb pci 1002 6987 .... .... ...... : CONFIG_DRM_AMDGPU : drivers/gpu/drm/amd/amdgpu/amdgpu_drv.c # in 4.10–4.11, 4.12-rc+HEAD


Quoi qu'il en soit, écoute tonton robert, il est confiant... et toujours prêt à assurer le SAV big_smile wink

Dernière modification par èfpé (25-05-2017 14:52:42)

Hors ligne

#68 25-05-2017 16:04:53

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : DEBIAN 9 STRETCH
Noyau : Linux 4.10.0-rc6-amd64
(G)UI : GNOME
Inscription : 11-03-2017

Re : ecran hp lp3065

je relève tes propos èfpé :

Quoi qu'il en soit, écoute tonton robert, il est confiant...



j'espère que je n'aurai pas de mauvaise surprise avec cette carte .

je sais que 100€ pour une carte graphique , c'est pas cher , mais, si je prends cette marque et ce modèle , c'est pas pour des frittes.

j'en attends une compatibilité parfaite
- avec linux
- avec mon écran
et aussi (puisque je l'ai en double boot) , avec w10 64bits familial

pour w10 , je pense qu'il n'y aura pas de problème , mais , pour linux , je me pose des questions .
comme par hasard , maintenant que je l'ai achetée .
alors , compatible ou pas ?
j'espère que je pourrai l'utiliser en 2560x1600 , la résolution maxi de l'écran .
normalement , oui , mais vu tout ce que j'apprends , j'en doute un peu .

pour l'anecdote , capacités des différentes connectiques :
http://www.hdnumerique.com/forum/resolu … 10499.html
-En liaison composite: 720x576
-En liaison VGA: 2048x1536
-En liaison DVI (single link): 1920x1200
-En liaison DVI (dual link): 2560x1600
-En liaison HDMI (v1.4): 4K

Dernière modification par Debian Alain (25-05-2017 21:32:34)


Bip Bip !

En ligne

#69 26-05-2017 03:16:38

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

Bonjour
cet article enfonce encore le clou hmm  =>  http://www.phoronix.com/scan.php?page=a … inux&num=8

Mesa 17  est disponible sur debian en plus du noyau 4.11 ou 4.12 ( sur kernel.org ).
en fin d'article il conseille la gtx1050 si j'ai bien compris.
pour le driver nonfree chez Amd pour linux , c'est toujours aussi mauvais , j'ai tenté sur ma R9 270 , réponse OS inconnu  sad 
pour Debian Alain ça risque de pas etre simple , commencer a prendre dans expérimental et kernel.org c'est pas cool
j'aurai du te forcer la main pour une GTX1050  hmm   un peu plus chère mais au moins facile a utiliser sur debian (avec le driver nonfree)
on va quand meme tenter , plus trop le choix  roll

Dernière modification par robert2a (26-05-2017 03:18:15)

Hors ligne

#70 26-05-2017 14:13:04

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : DEBIAN 9 STRETCH
Noyau : Linux 4.10.0-rc6-amd64
(G)UI : GNOME
Inscription : 11-03-2017

Re : ecran hp lp3065

de toutes façons , t'inquiète pas trop robert2a .

ça fait longtemps  que j'ai un faible pour ATI (AMD/ATI maintenant)
j'ai déjà utilisé ces cartes là , il y a longtemps , c'est vrai (environ 10 ans) et sous windows .
quand bien même , tu m'aurai conseillé NVIDIA , j'aurai malgré tout regardé AMD/ATI avec une préférence.

j'ai relevé , dans tout ce que tu as dit jusqu'ici , (de même pour èfpé)
qu'il y avait quand même une chance que cette carte fonctionne malgré tout avec  le kernel 4.9 .

(@robert2a : par contre niveau kernel il semble que Polaris 12 ça passe à partir de la version 4.10 hmm)


oui j'ai vu ça aussi , comme l audio 1220 (sur kabylake et ryzen ) qui fonctionne bien sur mon noyau 4.9 alors qu il est spécifié noyau 4.11 nécessaire



en cas de souci avec ce kernel , je compte sur toi (ou plutôt sur le forum) pour m'aider à passer
à la dernière version  (4.11.3 je crois d'àprès https://www.kernel.org/) .

Autant je n'ai pas eu de mal à passer à 4.9 , d'après https://wiki.debian.org/HowToUpgradeKernel
Autant , j'ai toujours  éprouvé les plus grandes difficultés à mettre en oeuvre les kernels de https://www.kernel.org/
D'ailleurs , je n'y suis jamais arrivé .
Et c'est pas faute de pas  avoir essayé.

j'espère que , en cas de besoin , je pourrai passer au dernier kernel stable (4.11.3 pour l'instant)

la version officielle (4.9) semble un peu buggée ou alors mon matériel est trop vieux (5 ans , ça m'étonnerai ....)


# apt-cache search linux-image


linux-headers-3.16.0-4-586 - Header files for Linux 3.16.0-4-586
linux-headers-3.16.0-4-686-pae - Header files for Linux 3.16.0-4-686-pae
linux-headers-3.16.0-4-amd64 - Header files for Linux 3.16.0-4-amd64
linux-image-3.16.0-4-586 - Linux 3.16 for older PCs
linux-image-3.16.0-4-686-pae - Linux 3.16 for modern PCs
linux-image-3.16.0-4-686-pae-dbg - Debugging symbols for Linux 3.16.0-4-686-pae
linux-image-3.16.0-4-amd64 - Linux 3.16 for 64-bit PCs
linux-image-3.16.0-4-amd64-dbg - Debugging symbols for Linux 3.16.0-4-amd64
linux-image-486 - Linux for older PCs (dummy package)
linux-image-586 - Linux for older PCs (meta-package)
linux-image-686-pae-dbg - Debugging symbols for Linux 686-pae configuration (meta-package)
linux-image-amd64 - Linux for 64-bit PCs (meta-package)
linux-image-amd64-dbg - Debugging symbols for Linux amd64 configuration (meta-package)
linux-image-686-pae - Linux pour PC modernes - métapaquet
nvidia-kernel-3.16.0-4-586 - NVIDIA binary kernel module for Linux 3.16.0-4-586
nvidia-kernel-3.16.0-4-686-pae - NVIDIA binary kernel module for Linux 3.16.0-4-686-pae
nvidia-kernel-3.16.0-4-amd64 - NVIDIA binary kernel module for Linux 3.16.0-4-amd64
linux-headers-4.9.0-0.bpo.2-686 - Header files for Linux 4.9.0-0.bpo.2-686
linux-headers-4.9.0-0.bpo.2-686-pae - Header files for Linux 4.9.0-0.bpo.2-686-pae
linux-headers-4.9.0-0.bpo.2-amd64 - Header files for Linux 4.9.0-0.bpo.2-amd64
linux-headers-4.9.0-0.bpo.2-rt-686-pae - Header files for Linux 4.9.0-0.bpo.2-rt-686-pae
linux-headers-4.9.0-0.bpo.2-rt-amd64 - Header files for Linux 4.9.0-0.bpo.2-rt-amd64
linux-image-4.9.0-0.bpo.2-686-pae-dbg - Debugging symbols for Linux 4.9.0-0.bpo.2-686-pae
linux-image-4.9.0-0.bpo.2-686-pae-unsigned - Linux 4.9 for modern PCs
linux-image-4.9.0-0.bpo.2-686-unsigned - Linux 4.9 for older PCs
linux-image-4.9.0-0.bpo.2-amd64-dbg - Debugging symbols for Linux 4.9.0-0.bpo.2-amd64
linux-image-4.9.0-0.bpo.2-amd64-unsigned - Linux 4.9 for 64-bit PCs
linux-image-4.9.0-0.bpo.2-rt-686-pae-dbg - Debugging symbols for Linux 4.9.0-0.bpo.2-rt-686-pae
linux-image-4.9.0-0.bpo.2-rt-686-pae-unsigned - Linux 4.9 for modern PCs, PREEMPT_RT
linux-image-4.9.0-0.bpo.2-rt-amd64-dbg - Debugging symbols for Linux 4.9.0-0.bpo.2-rt-amd64
linux-image-4.9.0-0.bpo.2-rt-amd64-unsigned - Linux 4.9 for 64-bit PCs, PREEMPT_RT
linux-headers-4.6.0-1-grsec-686-pae - Header files for Linux 4.6.0-1-grsec-686-pae
linux-headers-4.9.0-2-grsec-686-pae - Header files for Linux 4.9.0-2-grsec-686-pae
linux-headers-4.9.0-2-grsec-amd64 - Header files for Linux 4.9.0-2-grsec-amd64
linux-image-4.6.0-1-grsec-686-pae - Linux 4.6 for modern PCs, Grsecurity protection
linux-image-4.9.0-2-grsec-686-pae - Linux 4.9 for modern PCs, Grsecurity protection
linux-image-4.9.0-2-grsec-amd64 - Linux 4.9 for 64-bit PCs, Grsecurity protection
linux-image-grsec-686-pae - Linux image meta-package, grsec featureset
linux-image-grsec-amd64 - Linux image meta-package, grsec featureset
linux-image-grsec-i386 - Linux image meta-package, grsec featureset (transition package)
linux-image-686 - Linux for older PCs (meta-package)
linux-image-rt-686-pae - Linux for modern PCs (meta-package), PREEMPT_RT
linux-image-rt-686-pae-dbg - Debugging symbols for Linux rt-686-pae configuration (meta-package)
linux-image-rt-amd64 - Linux for 64-bit PCs (meta-package), PREEMPT_RT
linux-image-rt-amd64-dbg - Debugging symbols for Linux rt-amd64 configuration (meta-package)
linux-image-4.9.0-0.bpo.2-686 - Linux 4.9 for older PCs (signed)
linux-image-4.9.0-0.bpo.2-686-pae - Linux 4.9 for modern PCs (signed)
linux-image-4.9.0-0.bpo.2-amd64 - Linux 4.9 for 64-bit PCs (signed)
linux-image-4.9.0-0.bpo.2-rt-686-pae - Linux 4.9 for modern PCs, PREEMPT_RT (signed)
linux-image-4.9.0-0.bpo.2-rt-amd64 - Linux 4.9 for 64-bit PCs, PREEMPT_RT (signed)
 



d'ailleurs ,

linux-image-4.9.0-2-grsec-amd64 - Linux 4.9 for 64-bit PCs, Grsecurity protection



ça veut dire quoi ? .  c'est quoi ça "grsec" ?
j'ai trouvé ça mais sans rien y comprendre .mis à part que le kernel se protège dans cette version .
c'est tout ce que j'ai compris. 
https://wiki.debian.org/grsecurity

si tous les kernels étaient si facile que ça à modifier :

 $ sudo apt-get install linux-image-flavour



ce serai le pied .

sinon , y a  ça :
https://computerz.solutions/kernel-4-debian-8/
https://debian-facile.org/doc:systeme:kernel:compiler

un peu compliqué .

j'ai suivi le tuto de DF pour mettre le kernel 4.11.3
il a fallu que je m'arme de patience , surtout vers la fin pour la génération des fichiers .deb
mais je pense que le dernier kernel est installé , ça y est .
malgré tout , à l'installation des fichiers deb , j'ai obtenu les messages d'erreur suivants (notamment avec i915) :

$ sudo dpkg -i *.deb


[sudo] password for alain:
Sélection du paquet linux-firmware-image-4.11.3-amd64 précédemment désélectionné.
(Lecture de la base de données... 489041 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de linux-firmware-image-4.11.3-amd64_4.11.3-1_amd64.deb ...
Dépaquetage de linux-firmware-image-4.11.3-amd64 (4.11.3-1) ...
Sélection du paquet linux-headers-4.11.3-amd64 précédemment désélectionné.
Préparation du dépaquetage de linux-headers-4.11.3-amd64_4.11.3-1_amd64.deb ...
Dépaquetage de linux-headers-4.11.3-amd64 (4.11.3-1) ...
Sélection du paquet linux-image-4.11.3-amd64 précédemment désélectionné.
Préparation du dépaquetage de linux-image-4.11.3-amd64_4.11.3-1_amd64.deb ...
Dépaquetage de linux-image-4.11.3-amd64 (4.11.3-1) ...
Sélection du paquet linux-image-4.11.3-amd64-dbg précédemment désélectionné.
Préparation du dépaquetage de linux-image-4.11.3-amd64-dbg_4.11.3-1_amd64.deb ...
Dépaquetage de linux-image-4.11.3-amd64-dbg (4.11.3-1) ...
Préparation du dépaquetage de linux-libc-dev_4.11.3-1_amd64.deb ...
Dépaquetage de linux-libc-dev (4.11.3-1) sur (3.16.43-2) ...
Paramétrage de linux-firmware-image-4.11.3-amd64 (4.11.3-1) ...
Paramétrage de linux-headers-4.11.3-amd64 (4.11.3-1) ...
Paramétrage de linux-image-4.11.3-amd64 (4.11.3-1) ...
update-initramfs: Generating /boot/initrd.img-4.11.3-amd64
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_huc_ver02_00_1810.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_huc_ver01_07_1398.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_huc_ver01_07_1398.bin for module i915
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-1.fw for module r8169
Création du fichier de configuration GRUB…
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Image Linux trouvée : /boot/vmlinuz-4.11.3-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.11.3-amd64
Image Linux trouvée : /boot/vmlinuz-4.9.0-0.bpo.2-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.9.0-0.bpo.2-amd64
Image Linux trouvée : /boot/vmlinuz-3.16.0-4-amd64
Image mémoire initiale trouvée : /boot/initrd.img-3.16.0-4-amd64
Found memtest86 image: /boot/memtest86.bin
Found memtest86+ image: /boot/memtest86+.bin
Found memtest86+ multiboot image: /boot/memtest86+_multiboot.bin
Windows 7 (loader) trouvé sur /dev/sda1
Windows Recovery Environment (loader) trouvé sur /dev/sda2
fait
Paramétrage de linux-image-4.11.3-amd64-dbg (4.11.3-1) ...
Paramétrage de linux-libc-dev (4.11.3-1) ...
 



tout ça c'est très bien , mais ma racine est passée de 10-11 Go de libre à 7.3Go de libre .
comment trouver d'où vient la place prise et la récupérer si possible ?

Dernière modification par Debian Alain (26-05-2017 17:34:40)


Bip Bip !

En ligne

#71 26-05-2017 17:06:40

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

il te manque le firmware intel et  realtek. ( tu a bien suivi le tuto , avec "make olddefconfig" ? )
ça reprend normalement la configuration du 4.9 avec les firmwares installés

moi j'ai fait le 4.12-rc2  pas trouvé les ID de la série RX5xx (dans drm-id  toutes les cartes Amd sauf celle de la serie 5xx , mais fort possible que je cherche mal roll )
je vais tester la 4.11

Hors ligne

#72 26-05-2017 17:38:43

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : DEBIAN 9 STRETCH
Noyau : Linux 4.10.0-rc6-amd64
(G)UI : GNOME
Inscription : 11-03-2017

Re : ecran hp lp3065

oui oui  , robert2a , j'ai bien suivi le tuto . à la lettre .

je recommence ?

déjà , dans le 4.9 , j'avais ce problème de firmware

tu fais comment pour les installer ?

bon , pour skylake , kabylake et broxton , je pense a voir trouvé la soluce .
https://doc.ubuntu-fr.org/intel_graphics
https://01.org/linuxgraphics/downloads

pour ma carte  réseau , je cherche encore . surtout que , apparemment , aucun pilote ne s'installe ....
forcément s'ils sont déjà là ...

apt search r8169


En train de trier... Fait
Recherche en texte intégral... Fait
firmware-realtek/stable,now 0.43 all  [installé]
  Binary firmware for Realtek wired and wireless network adapters



$ apt search i915


En train de trier... Fait
Recherche en texte intégral... Fait
firmware-misc-nonfree/jessie-backports,now 20161130-2~bpo8+1 all  [installé]
  Binary firmware for various drivers in the Linux kernel

xserver-xorg-video-intel/stable 2:2.21.15-2+b2 i386
  serveur X X.org - pilote d'affichage Intel i8xx et i9xx

xserver-xorg-video-intel-dbg/stable 2:2.21.15-2+b2 amd64
  X.Org X server -- Intel i8xx, i9xx display driver (debug symbols)
 



$ apt search skylake


En train de trier... Fait
Recherche en texte intégral... Fait
firmware-intel-sound/jessie-backports 20161130-2~bpo8+1 all
  Binary firmware for Intel sound DSPs

firmware-misc-nonfree/jessie-backports,now 20161130-2~bpo8+1 all  [installé]
  Binary firmware for various drivers in the Linux kernel
 



$ apt search kabylake


En train de trier... Fait
Recherche en texte intégral... Fait
firmware-intel-sound/jessie-backports 20161130-2~bpo8+1 all
  Binary firmware for Intel sound DSPs

firmware-misc-nonfree/jessie-backports,now 20161130-2~bpo8+1 all  [installé]
  Binary firmware for various drivers in the Linux kernel
 



$ apt search broxton


En train de trier... Fait
Recherche en texte intégral... Fait
firmware-intel-sound/jessie-backports 20161130-2~bpo8+1 all
  Binary firmware for Intel sound DSPs

firmware-misc-nonfree/jessie-backports,now 20161130-2~bpo8+1 all  [installé]
  Binary firmware for various drivers in the Linux kernel
 



$ uname -a


Linux debian 4.11.3-amd64 #1 SMP Fri May 26 16:05:59 CEST 2017 x86_64 GNU/Linux



donc , à priori , je m'inquiète pour rien .

en théorie , tout est prêt :
kernel 4.11.3 , skylake, kabylake et broxton installés , pilotes réseau ok , i915 ok ...

y a plus qu'à attendre ....

je suis allé trop loin , robert2a ?

si tout va bien , ma carte arrive demain lundi .

Dernière modification par Debian Alain (28-05-2017 13:46:50)


Bip Bip !

En ligne

#73 29-05-2017 13:16:28

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

Bonjour
j'ai commandé une 2Go en RX550 , je testerai avec toi ( prévu dans la semaine ).
bientot la sortie de Amd Vega pour se positionner en face des Nvidia GTX10xx (prévu pour Juin 2017 )
dans sid cette semaine un nouveau driver nvidia 375.66-1 (qui remplace le 375.39-1)

tu a pas répondu , tu reste en jessie ou tu va passer a stretch ?
si tu fais la migration , fait la avec le gpu intel (et le noyau d'origine de debian)
je n'ai pas d' écran qui monte aussi haut en résolution pour un essaie en réel .
nota : tu a bien un bureau gnome (classic ou normal ) sur cette machine ?

ps:
j'ai préparé un noyau 4.10.17 (mais pas installé) , ma machine est en debian stretch
la carte est parti cet après midi
tu a reçu la tienne ?

Dernière modification par robert2a (29-05-2017 19:28:37)

Hors ligne

#74 29-05-2017 23:14:44

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : DEBIAN 9 STRETCH
Noyau : Linux 4.10.0-rc6-amd64
(G)UI : GNOME
Inscription : 11-03-2017

Re : ecran hp lp3065

alors , robert2a , pour stretch , je sais pas encore . tant qu'il n'est pas prêt , je préfère le laisser mijoter encore un peu ....

alors oui , mon bureau , c'est bien gnome (quelle version ?)

$ gnome-session --version


gnome-session 3.14.0



je suis en noyau 4.9.3

$ uname -a


Linux debian 4.9.0-0.bpo.3-amd64 #1 SMP Debian 4.9.25-1~bpo8+1 (2017-05-19) x86_64 GNU/Linux



j'ai reçu ma carte ce midi

niveau résolution c'est impressionnant (2560x1600)

je l'ai un peu testée  sur une video hq de youtube :

definition ok  mais de petits problèmes de synchro ( légers ) . je ne sais pas si ça vient de la carte ou du réseau .


voilà le lspci -v de ma carte :

$ lspci -v


02:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Device 699f (rev c7) (prog-if 00 [VGA controller])
  Subsystem: Device 1da2:e367
  Flags: bus master, fast devsel, latency 0, IRQ 11
  Memory at e0000000 (64-bit, prefetchable) [size=256M]
  Memory at f0000000 (64-bit, prefetchable) [size=2M]
  I/O ports at e000 [size=256]
  Memory at f7d00000 (32-bit, non-prefetchable) [size=256K]
  Expansion ROM at 000c0000 [disabled] [size=128K]
  Capabilities: <access denied>
 



si tu connais un clip video vraiment hq je suis prêt a essayer

Dernière modification par Debian Alain (29-05-2017 23:37:37)


Bip Bip !

En ligne

#75 29-05-2017 23:30:29

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : ecran hp lp3065

moi je vois pas ta carte bien reconnu
un exemple


27:00.0 VGA compatible controller: NVIDIA Corporation GM206 [GeForce GTX 950] (rev a1)
27:00.1 Audio device: NVIDIA Corporation Device 0fba (rev a1)
 


par contre tu a jessie avec le noyau des backports c est tout ?
et firmware et driver amdgpu ?

la version de mesa ?   => la version de mesa doit etre  "13.0.6-1"  (pas mesa 10 de jessie)

on vérifie pas l installation d une carte vidéo avec une vidéo HQ  tongue  tongue   tongue

avec stretch tu aura des versions meilleures et dans le futur des backports plus a jour
je vais tester sur stretch la carte pour toi et je te dirai ce qu il faut faire
a première vue bien un renomage de la serie RX400  et gnome fonctionne tongue

le retour de la commande


journalctl -r -p err
 



pour les vidéo mesa est important  (en version ) et les bon paquets installés

une simulation de l'installation de  mesa sur une machine avec un driver nvidia nonfree
certains choses ne sont pas installées


apt-get -s install mesa*
 


retour


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Note, selecting 'mesag3+ggi-dev' for glob 'mesa*'
Note, selecting 'mesag-widgets-dev' for glob 'mesa*'
Note, selecting 'mesa-opencl-icd' for glob 'mesa*'
Note, selecting 'mesag3-widgets' for glob 'mesa*'
Note, selecting 'mesa-glide2-dev' for glob 'mesa*'
Note, selecting 'mesag3' for glob 'mesa*'
Note, selecting 'mesa-common-dev' for glob 'mesa*'
Note, selecting 'mesag-dev' for glob 'mesa*'
Note, selecting 'mesa-utils' for glob 'mesa*'
Note, selecting 'mesa-utils-extra' for glob 'mesa*'
Note, selecting 'mesa-test-tools' for glob 'mesa*'
Note, selecting 'mesa-vdpau-drivers' for glob 'mesa*'
Note, selecting 'mesa-vulkan-drivers' for glob 'mesa*'
Note, selecting 'mesa-va-drivers' for glob 'mesa*'
Note : sélection de « libglw1-mesa-dev » au lieu de « mesag-widgets-dev »
Note : sélection de « libglw1-mesa-dev » au lieu de « mesag3-widgets »
mesa-common-dev is already the newest version (13.0.6-1+b2).
mesa-common-dev passé en « installé manuellement ».
mesa-va-drivers is already the newest version (13.0.6-1+b2).
mesa-va-drivers passé en « installé manuellement ».
mesa-vdpau-drivers is already the newest version (13.0.6-1+b2).
mesa-vdpau-drivers passé en « installé manuellement ».
The following additional packages will be installed:
  libclang-common-3.9-dev libclc-amdgcn libclc-dev libclc-r600 libgles2-mesa libglw1-mesa libmotif-dev libmrm4 libuil4 libxt-dev uil
Paquets suggérés :
  libxt-doc
Les NOUVEAUX paquets suivants seront installés :
  libclang-common-3.9-dev libclc-amdgcn libclc-dev libclc-r600 libgles2-mesa libglw1-mesa libglw1-mesa-dev libmotif-dev libmrm4 libuil4 libxt-dev mesa-opencl-icd mesa-utils
  mesa-utils-extra mesa-vulkan-drivers uil
 



tu dois le faire a partir des backports (EN SIMULATION )


apt-get -s --reinstall install -t jessie-backports mesa*
 


et donne le retour

pour le serveur X il y a le log "Xorg.0.log"
pour que lspci nous retourne  "RX550" je ferais les tests sur ma machine
cette carte a des fonctions avancés pour la vidéo (comme kabylake pour intel )  mais a part l article sur mesa je sais pas trop si c'est du nonfree , si il est pris en charge par debian etc ..........
un manque de ressources matérielles peu engendrer des saccades (carte mal reconnu )

Dernière modification par robert2a (30-05-2017 00:04:02)

Hors ligne

Pied de page des forums